# ./README_sgi

    *
    * README for IBM Visualization Data Explorer for SGI.
    *
    *
    *

    The information contained in this file consists of hints for using the
    system, help with functions that may not be apparent, and last minute updates
    to the existing documentation.  It is advisable to review this file any time
    Data Explorer updates are applied.

    ========================================================================

    CONTENTS

        To go directly to an item, search for the item number beginning
        at the left margin.

        1. Hardware Rendering on SGI Platforms
           A. Exceeding System/Process Memory
           B. Overriding the default library
        2. Adding a Module
           A. Using the Module Builder
           B. Bad File Magic Number error
           C. Runtime-loadable modules
        3. Gamma Correction
        4. Changes for version 3.1.4
           A. Using Shared Memory is now the default
           B. Change in behavior of DXSHMEM
           C. Fonts have changed
        5. Using Large Amounts of Memory

    ========================================================================

    1. Hardware Rendering on SGI Platforms

    A. Exceeding System/Process Memory
    The most recent object displayed is stored in system memory. If this object
    is very large it is possible to exceed the system/process memory limits.
    If this occurs you will receive many errors of the following form:
     ERR#2_gl_makeroom

    The only known workaround is to reduce the size of the object(s).

    B. Overriding the default library
    If both gl and opengl are supported you can override the default
    library (opengl) by specifying the -hwrender command line option as
    gl, rather than opengl. Alternatively, you can use the DXHWMOD
    environment variable, which should be set to either DXhwdd.o or
    DXhwddOGL.o.

    2. Adding a Module

    A. Using the Module Builder
    When using the module builder to build a full dxexec, at link time the
    following warning message may appear:
       /usr/bin/ld:
       Warning: sscanf: multiply defined
                previous (used) definition from '/usr/lib/libmpc.a':
                new (ignored) definition from '/usr/lib/libmpc.a'

    This message should be ignored.

    B. Bad File Magic Number error
    If IRIX 5 is not installed on the system, the linker will give
    the error message "Object file format error, bad file magic number".

    C. Runtime-loadable modules
    You need to use -mdf flag on dx to load runtime modules from the
    command line if you are using more than 1 processor. That is,
    you cannot use the "Load Module Description" option of the File menu
    to load them after Data Explorer has started.
    You may notice warnings when you compile runtime-loadable modules.
    These are simply warnings about subroutines which are referenced
    by the runtime-loadable module. They will be found in the running
    dxexec. These warnings do *not* mean that your subroutine will not
    work.

    3. Gamma Correction
    When the Data Explorer executive is running on the sgi archecture,
    8-bit windows are assumed to already be gamma-corrected, so
    DXGAMMA is by default set to 1. Otherwise, DXGAMMA is by default
    set to 2. You can override the default gamma correction by
    setting DXGAMMA, DXGAMMA_8BIT, DXGAMMA_12BIT, or DXGAMMA_24BIT.
    If set, DXGAMMA_NBIT overrides the value set by DXGAMMA.

    4. Changes for version 3.1.4

    A. Using Shared Memory is now the default
    Data Explorer now uses shared memory by default on sgi machines.

    B. Change in behavior of DXSHMEM
    In versions of Data Explorer prior to 3.1.4, DXSHMEM, if set to
    anything, would force shared memory to be used. In version 3.1.4,
    DXSHMEM must be set to anything other than -1 for shared memory to be
    used; if set to -1, then the data segment will be extended, for
    architectures for which this is permissible.

    C. Fonts have changed
    Data Explorer 3.1.2 and all previous versions used different fonts
    when displaying on sgi machines than when displaying on any other machine.
    In 3.1.4, the fonts are uniform across platforms.  The correct fonts are
    a little bit larger than the old sgi fonts.  This is a potential
    problem for control panels since the some text strings may not fit the
    space allotted.  (This actually fixes a problem where your panels
    looked fine when displaying on an sgi but looked bad when displaying
    on any other machine.) Users can revert to the pre-3.1.4 fonts by
    adding the following to the file DX in $HOME or in a directory in
    the XAPPLRESDIR environment variable:
    DX*fontList:-adobe-helvetica*bold-r*14*=bold,\
    -adobe-helvetica*bold-r*12*=small_bold,\
    -adobe-helvetica*bold-r*18*=big_bold,\
    -adobe-helvetica*bold-r*24*=huge_bold,\
    -adobe-helvetica*medium-r*14*=normal,\
    -adobe-helvetica*medium-r*12*=small_normal,\
    -adobe-helvetica*medium-r*18*=big_normal,\
    -adobe-helvetica*medium-r*24*=huge_normal,\
    -adobe-helvetica*medium-o*12*=small_oblique,\
    -adobe-helvetica*medium-o*18*=big_oblique,\
    -adobe-helvetica*medium-o*24*=huge_oblique,\
    -adobe-helvetica*medium-o*14*=oblique

    NOTE: line breaks and line continuation characters are here just for
    readability.   The user must enter this as 1 continuous line with no
    line continuation characters, carriage returns, or spaces.
    Only those users who would be satisfied with the restriction of never
    running a net on some machine other than an sgi should consider doing this.

    5. Using Large Amounts of Memory

    If you have problems starting up DX with more than 512 Mbytes of
    memory, use the "systune" command to check and set kernel tuneable
    parameters to allow a user process to allocate more space.  You may
    also have to adjust the "limits" or "ulimits" settings to allow large
    amounts of memory to be used.

    ----------------------------------------------------------------------

    The following trademarks apply to this information:

    IBM is a registered trademark of International Business Machines Corporation.
    IBM Visualization Data Explorer is a trademark of International
        Business Machines Corporation.
    IRIX and Silicon Graphics are registered trademarks of Silicon Graphics, Inc.